MissingH-1.4.1.0: Large utility library

Copyright | Copyright (C) 2004-2011 John Goerzen
License | BSD3
Maintainer | John Goerzen <jgoerzen@complete.org>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Tuple.Utils

Contents

- Extraction

Description

This module provides various helpful utilities for dealing with lists.

Written by Neil Mitchell, http://www.cs.york.ac.uk/~ndm/

Synopsis

- fst3 :: (a, b, c) -> a
- snd3 :: (a, b, c) -> b
- thd3 :: (a, b, c) -> c

# Extraction

fst3 :: (a, b, c) -> a #

Take the first item out of a 3 element tuple

snd3 :: (a, b, c) -> b #

Take the second item out of a 3 element tuple

thd3 :: (a, b, c) -> c #

Take the third item out of a 3 element tuple